Index: branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal_python.c
===================================================================
--- branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal_python.c	(revision 530)
+++ branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal_python.c	(revision 531)
@@ -25,6 +25,7 @@
 #include "service_internal_python.h"
 
-struct module_state {
-    PyObject *error;
+struct module_state
+{
+  PyObject *error;
 };
 
@@ -43,21 +44,27 @@
 #endif
 
-static PyObject* ZooError;
+static PyObject *ZooError;
 
 PyMethodDef zooMethods[] = {
-  {"_", PythonTranslate, METH_VARARGS, "Translate a string using the zoo-services textdomain."},
-  {"update_status", PythonUpdateStatus, METH_VARARGS, "Update status percentage of a running process."},
-  {NULL, NULL, 0, NULL} /* tempt not the blade, all fear the sentinel */
+  {"_", PythonTranslate, METH_VARARGS,
+   "Translate a string using the zoo-services textdomain."},
+  {"update_status", PythonUpdateStatus, METH_VARARGS,
+   "Update status percentage of a running process."},
+  {NULL, NULL, 0, NULL}         /* tempt not the blade, all fear the sentinel */
 };
 
 #if PY_MAJOR_VERSION >= 3
 
-static int myextension_traverse(PyObject *m, visitproc visit, void *arg) {
-  Py_VISIT(GETSTATE(m)->error);
+static int
+myextension_traverse (PyObject * m, visitproc visit, void *arg)
+{
+  Py_VISIT (GETSTATE (m)->error);
   return 0;
 }
 
-static int myextension_clear(PyObject *m) {
-  Py_CLEAR(GETSTATE(m)->error);
+static int
+myextension_clear (PyObject * m)
+{
+  Py_CLEAR (GETSTATE (m)->error);
   return 0;
 }
@@ -67,5 +74,5 @@
   "zoo",
   NULL,
-  sizeof(struct module_state),
+  sizeof (struct module_state),
   zooMethods,
   NULL,
@@ -76,38 +83,41 @@
 #endif
 
-PyMODINIT_FUNC init_zoo(){
-  PyObject *tmp,*d;
-  PyObject *module = 
-#if PY_MAJOR_VERSION >= 3
-    PyModule_Create(&moduledef);
-#else
-    Py_InitModule("zoo", zooMethods);
-#endif
-  if (module == NULL){
-#if PY_MAJOR_VERSION >= 3
-    return NULL;
-#else
-    return;
-#endif
-  }
-
-  struct module_state *st = GETSTATE(module);
-
-  d = PyModule_GetDict(module);
-  tmp = PyInt_FromLong(3);
-  PyDict_SetItemString(d, "SERVICE_SUCCEEDED", tmp);
-  Py_DECREF(tmp);
-
-  tmp = PyInt_FromLong(4);
-  PyDict_SetItemString(d, "SERVICE_FAILED", tmp);
-  Py_DECREF(tmp);
-
-  tmp = PyString_FromString(ZOO_VERSION);
-  PyDict_SetItemString(d, "VERSION", tmp);
-  Py_DECREF(tmp);
-
-  ZooError = PyErr_NewException((char*)"zoo.error", NULL, NULL);
-  Py_INCREF(ZooError);
-  PyModule_AddObject(module, "error", ZooError);
+PyMODINIT_FUNC
+init_zoo ()
+{
+  PyObject *tmp, *d;
+  PyObject *module =
+#if PY_MAJOR_VERSION >= 3
+    PyModule_Create (&moduledef);
+#else
+    Py_InitModule ("zoo", zooMethods);
+#endif
+  if (module == NULL)
+    {
+#if PY_MAJOR_VERSION >= 3
+      return NULL;
+#else
+      return;
+#endif
+    }
+
+  struct module_state *st = GETSTATE (module);
+
+  d = PyModule_GetDict (module);
+  tmp = PyInt_FromLong (3);
+  PyDict_SetItemString (d, "SERVICE_SUCCEEDED", tmp);
+  Py_DECREF (tmp);
+
+  tmp = PyInt_FromLong (4);
+  PyDict_SetItemString (d, "SERVICE_FAILED", tmp);
+  Py_DECREF (tmp);
+
+  tmp = PyString_FromString (ZOO_VERSION);
+  PyDict_SetItemString (d, "VERSION", tmp);
+  Py_DECREF (tmp);
+
+  ZooError = PyErr_NewException ((char *) "zoo.error", NULL, NULL);
+  Py_INCREF (ZooError);
+  PyModule_AddObject (module, "error", ZooError);
 #if PY_MAJOR_VERSION >= 3
   return module;
